﻿using Infragistics.Documents.Excel;
using System.IO;
using System.Windows;

namespace xamSpreadsheetCtp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            using (var stream = File.Open(Path.Combine(System.Environment.CurrentDirectory, "sample.xlsx"), FileMode.Open))
            {
                _spreadsheet.Workbook = Workbook.Load(stream);
            }
        }
    }
}
